MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0029948Open CASCADE[OCCT] OCCT:Modeling Algorithmspublic2018-07-11 17:282018-07-14 12:41
Reporternbv 
Assigned Tobugmaster 
PrioritynormalSeverityminor 
StatusverifiedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version[OCCT] 7.4.0*Fixed in Version 
Summary0029948: Uninitialized variable in GeomEvaluator_OffsetSurface::CalculateD0(...) method
DescriptionIn the considered test case, all derivatives (in V-direction) of the surface to offset are equal to 0 in some specified point.

In this case, the variable

CSLib_NormalStatus NStatus


in the method GeomEvaluator_OffsetSurface::CalculateD0(...) is not initialized.
Steps To Reproducetest bugs modalg_7 bug28131
TagsNo tags attached.
Test case numberNot needed
Attached Files

- Relationships
child of 0029910assignednbv Porting to Debian80-64 : Regressions in Modeling Algorithms 

-  Notes
(0077460)
git (administrator)
2018-07-11 17:31

Branch CR29948 has been created by nbv.

SHA-1: 88cce092f2ff6433c3d42f2e58c8a363e75b41ca


Detailed log of new commits:

Author: nbv
Date: Wed Jul 11 17:29:54 2018 +0300

    0029948: Uninitialized variable in GeomEvaluator_OffsetSurface::CalculateD0(...) method
    
    Now the variable "NStatus" is initialized.
(0077486)
nbv (developer)
2018-07-12 09:35

Dear Bugmaster,

The fix has been tested on Jenkins-11. Test results are OK (http://jenkins-test-11.nnov.opencascade.com/view/CR29948-master_NBV/ [^]).

Could you check it on Jenkins-12?
(0077487)
msv (developer)
2018-07-12 09:47
edited on: 2018-07-12 09:47

Nikolay, I do not agree with such fix. The method CSLib::Normal does not properly set the output parameter. You have made a workaround for one particular usage of this method.

It is needed to fix the method itself rather than fix its output in all places where it is used.

(0077489)
nbv (developer)
2018-07-12 09:50

I have no objections. But I would like to know, does this fix solve the problem.
(0077509)
bugmaster (administrator)
2018-07-12 12:22

Fix correct problem of bugs/modalg_7/bug28131

http://occt-tests/JT-12-WEEK38-OCCT/Debian80-64/summary.html [^]
(0077517)
git (administrator)
2018-07-12 13:08

Branch CR29948 has been updated forcibly by nbv.

SHA-1: 5a2ef12c0dcb00cb853118c931a0b60b6a51a4ea
(0077537)
nbv (developer)
2018-07-12 16:36

Dear Mikhail,

Please review the current state of CR29948 branch.

Test results are here: http://jenkins-test-11.nnov.opencascade.com/view/CR29948-master_NBV/ [^]
(0077540)
msv (developer)
2018-07-12 17:15

Reviewed.
(0077554)
bugmaster (administrator)
2018-07-12 18:38

Combination -
OCCT branch : CR29948 SHA - 5a2ef12c0dcb00cb853118c931a0b60b6a51a4ea
Products branch : master SHA - 49c228d5213fed6561994d0148827917539e38c8
was compiled on Linux, MacOS and Windows platforms and tested in optimize mode.

Number of compiler warnings:
No new/fixed warnings

Regressions/Differences/Improvements:
No regressions/differences

CPU differences:
Debian70-64:
OCCT
Total CPU difference: 17129.410000000044 / 17169.739999999776 [-0.23%]
Products
Total CPU difference: 7471.890000000018 / 7501.920000000043 [-0.40%]
Windows-64-VC10:
OCCT
Total CPU difference: 16948.26064199857 / 16852.39802749857 [+0.57%]
Products
Total CPU difference: 8308.59765989988 / 8212.11104139987 [+1.17%]


Image differences :
No differences that require special attention

Memory differences :
No differences that require special attention
(0077604)
git (administrator)
2018-07-14 12:41

Branch CR29948 has been deleted by inv.

SHA-1: 5a2ef12c0dcb00cb853118c931a0b60b6a51a4ea

- Related Changesets
occt: master 73e403b8
Timestamp: 2018-07-11 14:29:54
Author: nbv
Committer: bugmaster
Details ] Diff ]
0029948: Uninitialized variable in GeomEvaluator_OffsetSurface::CalculateD0(...) method

Variable "NStatus" from GeomEvaluator_OffsetSurface class is now initialized correctly.
mod - src/GeomEvaluator/GeomEvaluator_OffsetSurface.cxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2018-07-11 17:28 nbv New Issue
2018-07-11 17:28 nbv Assigned To => msv
2018-07-11 17:28 nbv Relationship added child of 0029910
2018-07-11 17:29 nbv Assigned To msv => nbv
2018-07-11 17:29 nbv Status new => assigned
2018-07-11 17:31 git Note Added: 0077460
2018-07-12 09:35 nbv Note Added: 0077486
2018-07-12 09:35 nbv Assigned To nbv => bugmaster
2018-07-12 09:35 nbv Status assigned => feedback
2018-07-12 09:47 msv Note Added: 0077487
2018-07-12 09:47 msv Note Edited: 0077487 View Revisions
2018-07-12 09:48 msv Assigned To bugmaster => nbv
2018-07-12 09:48 msv Status feedback => assigned
2018-07-12 09:50 nbv Note Added: 0077489
2018-07-12 09:51 nbv Assigned To nbv => bugmaster
2018-07-12 09:51 nbv Status assigned => feedback
2018-07-12 12:22 bugmaster Note Added: 0077509
2018-07-12 12:22 bugmaster Assigned To bugmaster => nbv
2018-07-12 12:22 bugmaster Status feedback => assigned
2018-07-12 13:08 git Note Added: 0077517
2018-07-12 16:36 nbv Note Added: 0077537
2018-07-12 16:36 nbv Assigned To nbv => msv
2018-07-12 16:36 nbv Status assigned => resolved
2018-07-12 17:15 msv Note Added: 0077540
2018-07-12 17:15 msv Assigned To msv => bugmaster
2018-07-12 17:15 msv Status resolved => reviewed
2018-07-12 18:37 bugmaster Status reviewed => tested
2018-07-12 18:38 bugmaster Note Added: 0077554
2018-07-12 18:38 bugmaster Test case number => Not needed
2018-07-14 12:26 bugmaster Changeset attached => occt master 73e403b8
2018-07-14 12:26 bugmaster Status tested => verified
2018-07-14 12:26 bugmaster Resolution open => fixed
2018-07-14 12:41 git Note Added: 0077604


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker